--- title: "Get Kubernetes Service cluster list" slug: "devtools-sourcedeploy-kubernetesserviceclusterlist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-kubernetesserviceclusterlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Kubernetes Service cluster list Available in VPC Get the list of available Ncloud Kubernetes Service clusters. Note Ncloud Kubernetes Service is a service provided only in the VPC environment, so you can only choose it in the VPC environment. To get the Kubernetes cluster list, you must first create a cluster in the Ncloud Kubernetes Service. See the following for how to create a cluster. - Create from NAVER Cloud Platform console: See [Ncloud Kubernetes Service User Guide](https://guide.ncloud-docs.com/docs/en/k8s-k8soverview). - Create using API: See [Ncloud Kubernetes Service API Guide](/docs/en/compute-vpckubernetesservice). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/kubernetes/cluster | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/kubernetes/cluster' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.clusterList` | Array | - | Cluster list: [clusterList](/docs/en/devtools-sourcedeploy-kubernetesserviceclusterlist#clusterList) | #### `clusterList` The following describes `clusterList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Cluster number | | `name` | String | - | Cluster name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "clusterList": [ { "id": 4***, "name": "cluster1", "permission": "Allow", "actionName": "View/getKubernetesClusterDetail" } ] } } ```